* {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
}

body{
	width: 100vw;
	max-width: 100vw;
	overflow-x: hidden;

	font-size: 16px;
}

header{
	background: #EBEBEB;
	font-family: Georgia, serif;
	color: #000000;
	width: 100vw;
	padding: 2vh 5vw;
}

main{
	width: 100vw;

	display: flex;
	flex-direction: row;
	flex-wrap: wrap;

}

aside{
	padding: 2vh 5vw;
	max-width: 100vw;
}

article{
	padding: 2vh 5vw;
	max-width: 100vw;
}

header > h1{
	font-size: 2em;
	line-height: 1.5em;
}

h1 + h2{
	font-size: 1.5em;
	line-height: 1.2em;
}


header p{
	margin-top: 0.25em;
}

#result_table{
	border-collapse: collapse;
	border: 1px solid black;
}

#result_table td, #result_table th{
	border: 1px solid black;
	padding: 0.5em 0.75em;
}

#result_table caption{
	font-family: Georgia, serif;
	font-size: 1.5em;
	line-height: 1.5em;
	font-weight: 700;
}

tr.hit{
	background: rgba(101, 145, 12, 0.5);
}

tr.lose{
	background: rgba(232, 54, 42, 0.5);
}


.svg_wrapper svg{
	width: min(30em, 90vw);
}

.svg_wrapper{
	position: relative;
	width: 100%;
	margin-bottom: 10%;
}

.svg_wrapper:before{
	content: '';
	position: absolute;
	width: 110%;
	height: 110%;
	top: -5%;
	left: -5%;
	border: 1px solid black;
}

section:nth-child(2) > form{
	display: flex;
	flex-direction: column;
	align-items: stretch;
	justify-content: flex-start;
	gap: 1em;
}


fieldset {
	padding: 0.75em 1em;
}

#check_form > fieldset > div{
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
}

#check_form label{
	display: flex;
	flex-direction: row;
	align-items: center;
	margin-left: 5%;
}

#check_form label:first-child{
	margin-left: 0;
}

input[type="radio"], input[type="checkbox"]{
	margin-right: 20%;
}

.text_wrapper{
	position: relative;

}





input[type="text"]{
	width: 100%;
	padding-left: 2%;
}

input[type="submit"]{
	height: 2em;
}

input[type="button"]{
	height: 2em;
}

footer{
	display: flex;
	flex-direction: row;
	justify-content: center;
	padding: 5vh 0;
}

footer svg{
	width: 25vw;
}

